Subject: [p2p-sip] STUN/TURN/ICE integration

From: royrr at us.saic.com (Roy, Radhika R.)
Date: Tue Nov 15 09:24:52 2005

In the same token, security, QoS support, routing, etc. are also needed to
be addressed in p2p SIP.

Best regards,

Radhika

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]
<mailto:[email-masked]> ] On Behalf Of Eunsoo Shim
Sent: Monday, November 14, 2005 1:21 PM
To: David Barrett
Cc: [email-masked]
Subject: Re: [p2p-sip] STUN/TURN/ICE integration

Certainly NAT/firewall traversal is an important problem for P2P SIP.

But I don't think this group should step on what other groups are 

working on, trying to redo or change whatever they did.

The basic approach about STUN/TURN/ICE will be asking those groups 

working on STUN/TURN/ICE to consider any requirements we might have for 

P2P SIP if the requirements were something those groups did not consider 

in the past.

On the other hand, one thing we should do about NAT Traversal is to 

figure how to use STUN/TURN/ICE for P2P SIP, in particular, how to let 

each peer locate  proper STUN/TURN servers.

Regards,

Eunsoo

David Barrett wrote:

> I'm not sure if it's inside the mandate of this group, but are we open 

> to re-considering the separation between SIP and STUN/TURN/ICE?

> Given that anyone doing P2P SIP will need to solve the NAT and 

> firewall penetration problems, it would be very nice to do it all 

> within a single protocol with consistent grammars, conventions, state 

> machines, etc.

> Speaking as just a solo developer, I found it so difficult to 

> understand, build, and follow the various standards (all of which are 

> being continuously updated) I just gave up in order to get iGlance 

> (http://www.iglance.com <http://www.iglance.com> ) out the door.  In the
end I just expanded SIP 

> slightly to encompass STUN/TURN/NAT, thereby allowing me to use a 

> single FSM and single parser to manage the complete connection 

> establishment process.

> -david

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.cs.columbia.edu/pipermail/p2p-sip/attachments/20051114/f4b6cc42/attachment.html